Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network71.2.96.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
71.2.96.0
Broadcast address
71.2.111.255
First usable
71.2.96.1
Last usable
71.2.111.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 47026000 · Integer 1191337984 to 1191342079
Reverse DNS zones
96.2.71.in-addr.arpa
97.2.71.in-addr.arpa
98.2.71.in-addr.arpa
99.2.71.in-addr.arpa
100.2.71.in-addr.arpa
101.2.71.in-addr.arpa
102.2.71.in-addr.arpa
103.2.71.in-addr.arpa
104.2.71.in-addr.arpa
105.2.71.in-addr.arpa
106.2.71.in-addr.arpa
107.2.71.in-addr.arpa
108.2.71.in-addr.arpa
109.2.71.in-addr.arpa
110.2.71.in-addr.arpa
111.2.71.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000111.00000010.01100000.0000000071.2.96.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01000111.00000010.01100000.0000000071.2.96.0
Broadcast01000111.00000010.01101111.1111111171.2.111.255
Split into smaller subnets/27

71.2.96.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
171.2.96.0/2771.2.96.1 to 71.2.96.3071.2.96.3130
271.2.96.32/2771.2.96.33 to 71.2.96.6271.2.96.6330
371.2.96.64/2771.2.96.65 to 71.2.96.9471.2.96.9530
471.2.96.96/2771.2.96.97 to 71.2.96.12671.2.96.12730
571.2.96.128/2771.2.96.129 to 71.2.96.15871.2.96.15930
671.2.96.160/2771.2.96.161 to 71.2.96.19071.2.96.19130
771.2.96.192/2771.2.96.193 to 71.2.96.22271.2.96.22330
871.2.96.224/2771.2.96.225 to 71.2.96.25471.2.96.25530
971.2.97.0/2771.2.97.1 to 71.2.97.3071.2.97.3130
1071.2.97.32/2771.2.97.33 to 71.2.97.6271.2.97.6330
1171.2.97.64/2771.2.97.65 to 71.2.97.9471.2.97.9530
1271.2.97.96/2771.2.97.97 to 71.2.97.12671.2.97.12730
1371.2.97.128/2771.2.97.129 to 71.2.97.15871.2.97.15930
1471.2.97.160/2771.2.97.161 to 71.2.97.19071.2.97.19130
1571.2.97.192/2771.2.97.193 to 71.2.97.22271.2.97.22330
1671.2.97.224/2771.2.97.225 to 71.2.97.25471.2.97.25530
1771.2.98.0/2771.2.98.1 to 71.2.98.3071.2.98.3130
1871.2.98.32/2771.2.98.33 to 71.2.98.6271.2.98.6330
1971.2.98.64/2771.2.98.65 to 71.2.98.9471.2.98.9530
2071.2.98.96/2771.2.98.97 to 71.2.98.12671.2.98.12730
2171.2.98.128/2771.2.98.129 to 71.2.98.15871.2.98.15930
2271.2.98.160/2771.2.98.161 to 71.2.98.19071.2.98.19130
2371.2.98.192/2771.2.98.193 to 71.2.98.22271.2.98.22330
2471.2.98.224/2771.2.98.225 to 71.2.98.25471.2.98.25530
2571.2.99.0/2771.2.99.1 to 71.2.99.3071.2.99.3130
2671.2.99.32/2771.2.99.33 to 71.2.99.6271.2.99.6330
2771.2.99.64/2771.2.99.65 to 71.2.99.9471.2.99.9530
2871.2.99.96/2771.2.99.97 to 71.2.99.12671.2.99.12730
2971.2.99.128/2771.2.99.129 to 71.2.99.15871.2.99.15930
3071.2.99.160/2771.2.99.161 to 71.2.99.19071.2.99.19130
3171.2.99.192/2771.2.99.193 to 71.2.99.22271.2.99.22330
3271.2.99.224/2771.2.99.225 to 71.2.99.25471.2.99.25530
3371.2.100.0/2771.2.100.1 to 71.2.100.3071.2.100.3130
3471.2.100.32/2771.2.100.33 to 71.2.100.6271.2.100.6330
3571.2.100.64/2771.2.100.65 to 71.2.100.9471.2.100.9530
3671.2.100.96/2771.2.100.97 to 71.2.100.12671.2.100.12730
3771.2.100.128/2771.2.100.129 to 71.2.100.15871.2.100.15930
3871.2.100.160/2771.2.100.161 to 71.2.100.19071.2.100.19130
3971.2.100.192/2771.2.100.193 to 71.2.100.22271.2.100.22330
4071.2.100.224/2771.2.100.225 to 71.2.100.25471.2.100.25530
4171.2.101.0/2771.2.101.1 to 71.2.101.3071.2.101.3130
4271.2.101.32/2771.2.101.33 to 71.2.101.6271.2.101.6330
4371.2.101.64/2771.2.101.65 to 71.2.101.9471.2.101.9530
4471.2.101.96/2771.2.101.97 to 71.2.101.12671.2.101.12730
4571.2.101.128/2771.2.101.129 to 71.2.101.15871.2.101.15930
4671.2.101.160/2771.2.101.161 to 71.2.101.19071.2.101.19130
4771.2.101.192/2771.2.101.193 to 71.2.101.22271.2.101.22330
4871.2.101.224/2771.2.101.225 to 71.2.101.25471.2.101.25530
4971.2.102.0/2771.2.102.1 to 71.2.102.3071.2.102.3130
5071.2.102.32/2771.2.102.33 to 71.2.102.6271.2.102.6330
5171.2.102.64/2771.2.102.65 to 71.2.102.9471.2.102.9530
5271.2.102.96/2771.2.102.97 to 71.2.102.12671.2.102.12730
5371.2.102.128/2771.2.102.129 to 71.2.102.15871.2.102.15930
5471.2.102.160/2771.2.102.161 to 71.2.102.19071.2.102.19130
5571.2.102.192/2771.2.102.193 to 71.2.102.22271.2.102.22330
5671.2.102.224/2771.2.102.225 to 71.2.102.25471.2.102.25530
5771.2.103.0/2771.2.103.1 to 71.2.103.3071.2.103.3130
5871.2.103.32/2771.2.103.33 to 71.2.103.6271.2.103.6330
5971.2.103.64/2771.2.103.65 to 71.2.103.9471.2.103.9530
6071.2.103.96/2771.2.103.97 to 71.2.103.12671.2.103.12730
6171.2.103.128/2771.2.103.129 to 71.2.103.15871.2.103.15930
6271.2.103.160/2771.2.103.161 to 71.2.103.19071.2.103.19130
6371.2.103.192/2771.2.103.193 to 71.2.103.22271.2.103.22330
6471.2.103.224/2771.2.103.225 to 71.2.103.25471.2.103.25530
6571.2.104.0/2771.2.104.1 to 71.2.104.3071.2.104.3130
6671.2.104.32/2771.2.104.33 to 71.2.104.6271.2.104.6330
6771.2.104.64/2771.2.104.65 to 71.2.104.9471.2.104.9530
6871.2.104.96/2771.2.104.97 to 71.2.104.12671.2.104.12730
6971.2.104.128/2771.2.104.129 to 71.2.104.15871.2.104.15930
7071.2.104.160/2771.2.104.161 to 71.2.104.19071.2.104.19130
7171.2.104.192/2771.2.104.193 to 71.2.104.22271.2.104.22330
7271.2.104.224/2771.2.104.225 to 71.2.104.25471.2.104.25530
7371.2.105.0/2771.2.105.1 to 71.2.105.3071.2.105.3130
7471.2.105.32/2771.2.105.33 to 71.2.105.6271.2.105.6330
7571.2.105.64/2771.2.105.65 to 71.2.105.9471.2.105.9530
7671.2.105.96/2771.2.105.97 to 71.2.105.12671.2.105.12730
7771.2.105.128/2771.2.105.129 to 71.2.105.15871.2.105.15930
7871.2.105.160/2771.2.105.161 to 71.2.105.19071.2.105.19130
7971.2.105.192/2771.2.105.193 to 71.2.105.22271.2.105.22330
8071.2.105.224/2771.2.105.225 to 71.2.105.25471.2.105.25530
8171.2.106.0/2771.2.106.1 to 71.2.106.3071.2.106.3130
8271.2.106.32/2771.2.106.33 to 71.2.106.6271.2.106.6330
8371.2.106.64/2771.2.106.65 to 71.2.106.9471.2.106.9530
8471.2.106.96/2771.2.106.97 to 71.2.106.12671.2.106.12730
8571.2.106.128/2771.2.106.129 to 71.2.106.15871.2.106.15930
8671.2.106.160/2771.2.106.161 to 71.2.106.19071.2.106.19130
8771.2.106.192/2771.2.106.193 to 71.2.106.22271.2.106.22330
8871.2.106.224/2771.2.106.225 to 71.2.106.25471.2.106.25530
8971.2.107.0/2771.2.107.1 to 71.2.107.3071.2.107.3130
9071.2.107.32/2771.2.107.33 to 71.2.107.6271.2.107.6330
9171.2.107.64/2771.2.107.65 to 71.2.107.9471.2.107.9530
9271.2.107.96/2771.2.107.97 to 71.2.107.12671.2.107.12730
9371.2.107.128/2771.2.107.129 to 71.2.107.15871.2.107.15930
9471.2.107.160/2771.2.107.161 to 71.2.107.19071.2.107.19130
9571.2.107.192/2771.2.107.193 to 71.2.107.22271.2.107.22330
9671.2.107.224/2771.2.107.225 to 71.2.107.25471.2.107.25530
9771.2.108.0/2771.2.108.1 to 71.2.108.3071.2.108.3130
9871.2.108.32/2771.2.108.33 to 71.2.108.6271.2.108.6330
9971.2.108.64/2771.2.108.65 to 71.2.108.9471.2.108.9530
10071.2.108.96/2771.2.108.97 to 71.2.108.12671.2.108.12730
10171.2.108.128/2771.2.108.129 to 71.2.108.15871.2.108.15930
10271.2.108.160/2771.2.108.161 to 71.2.108.19071.2.108.19130
10371.2.108.192/2771.2.108.193 to 71.2.108.22271.2.108.22330
10471.2.108.224/2771.2.108.225 to 71.2.108.25471.2.108.25530
10571.2.109.0/2771.2.109.1 to 71.2.109.3071.2.109.3130
10671.2.109.32/2771.2.109.33 to 71.2.109.6271.2.109.6330
10771.2.109.64/2771.2.109.65 to 71.2.109.9471.2.109.9530
10871.2.109.96/2771.2.109.97 to 71.2.109.12671.2.109.12730
10971.2.109.128/2771.2.109.129 to 71.2.109.15871.2.109.15930
11071.2.109.160/2771.2.109.161 to 71.2.109.19071.2.109.19130
11171.2.109.192/2771.2.109.193 to 71.2.109.22271.2.109.22330
11271.2.109.224/2771.2.109.225 to 71.2.109.25471.2.109.25530
11371.2.110.0/2771.2.110.1 to 71.2.110.3071.2.110.3130
11471.2.110.32/2771.2.110.33 to 71.2.110.6271.2.110.6330
11571.2.110.64/2771.2.110.65 to 71.2.110.9471.2.110.9530
11671.2.110.96/2771.2.110.97 to 71.2.110.12671.2.110.12730
11771.2.110.128/2771.2.110.129 to 71.2.110.15871.2.110.15930
11871.2.110.160/2771.2.110.161 to 71.2.110.19071.2.110.19130
11971.2.110.192/2771.2.110.193 to 71.2.110.22271.2.110.22330
12071.2.110.224/2771.2.110.225 to 71.2.110.25471.2.110.25530
12171.2.111.0/2771.2.111.1 to 71.2.111.3071.2.111.3130
12271.2.111.32/2771.2.111.33 to 71.2.111.6271.2.111.6330
12371.2.111.64/2771.2.111.65 to 71.2.111.9471.2.111.9530
12471.2.111.96/2771.2.111.97 to 71.2.111.12671.2.111.12730
12571.2.111.128/2771.2.111.129 to 71.2.111.15871.2.111.15930
12671.2.111.160/2771.2.111.161 to 71.2.111.19071.2.111.19130
12771.2.111.192/2771.2.111.193 to 71.2.111.22271.2.111.22330
12871.2.111.224/2771.2.111.225 to 71.2.111.25471.2.111.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses